package com.supervision.domain;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.time.LocalDateTime;
import lombok.Data;

/**
 * 会话参数
 * @TableName ir_session_param
 */
@TableName(value ="ir_session_param", schema = "interro_robot")
@Data
public class IrSessionParam implements Serializable {
    /**
     * 主键
     */
    @TableId
    private String id;

    /**
     * 会话ID
     */
    private String sessionId;

    /**
     * 参数名称
     */
    private String paramName;

    /**
     * 参数值
     */
    private String paramValue;

    /**
     * 参数类型 类型参考 @see ParamTypeConverter.typeMap
     */
    private String paramType;

    /**
     * 
     */
    private String createUserId;

    /**
     * 
     */
    private LocalDateTime createTime;

    /**
     * 
     */
    private String updateUserId;

    /**
     * 
     */
    private LocalDateTime updateTime;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}