package com.supervision.service;

import freemarker.template.TemplateException;

import java.io.IOException;

/**
 * 通过问询模板查询数据，并返回结果模板
 */
public interface QueryTemplateProcessor {


    /**
     * 根据会话id和模板id获取查询数据
     * @param templateId 模板id
     * @param sessionId 会话id
     * @return 经过模板处理后的结果
     * @throws TemplateException
     * @throws IOException
     */
    String process(String templateId,String sessionId) throws TemplateException, IOException;

}
