package com.supervision.vo.session;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

@Data
@ApiModel
public class NewSessionReqVO {
    @ApiModelProperty("案件编号,对应上一个接口的ajid")
    private String caseNumber;
    @ApiModelProperty("播报方式(1语音 2文字)")
    private Integer type;
    @ApiModelProperty("播放速度(2位,小数后1位,例如:1.0,0.5,1.5,2.0)")
    private BigDecimal speed;


}
